# Taxonomy Term Replace

This module allows administrators to replace a particular taxonomy term
associated with 'Published' and/or 'Unpublished' nodes with another taxonomy
term of the same vocabulary.

## Table of contents

- Requirements
- Installation
- Configuration
- Features
- How It Works
- Post-Installation
- Maintainers

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see [Installing Drupal Modules]
(https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

This module requires no configurations outside of Drupal core.

## Features

- Users can 'replace' 'existing' term ID for all associated nodes for the same 
vocabulary as that of the entered 'Existing' term ID.
- Users can search how many nodes are associated with a specific term's ID using
the 'Search' button. Note: This will only show 'Published' nodes. To include
'Unpublished' nodes as well, see the below feature.
- There is an additional 'Include Unpublished Nodes' checkbox in order to
include unpublished nodes as well.
- Upon successful search of nodes associated with the entered term ID, node
details will be shown in 'Table' format with the total count of nodes mentioned
at the top of the table. Details mentioned in the table are as follows -
  *  Serial Number (Sl. No.)
  *  Node ID
  *  Node URL (Node Title with Node URL in anchor tag)
  *  Content Type
  *  Node Status
- Upon successful search of nodes, an additional button will appear on the
screen - 'Download CSV' which will generate a CSV with all the data visible in
the table.
- Users will be able to see the 'Term Name' for the entered Term ID(s) along
with the corresponding vocabulary it belongs to.
- Users will be able to 'Confirm' or 'Cancel' the replacement of the existing
term with the replacement term in a 'Confirmation Page' where all the details
will be mentioned, like - Term ID and Term Name of the existing and replacement
Terms, and total nodes associated with the existing term ID.

## How It Works

- Users need to enter the taxonomy term ID in the 'Existing' & 'Replace' Integer
Fields.
- Upon clicking the 'Run Transfer' button, users will be redirected to a
'Confirmation Page' with the details of the replacement procedure.
- Upon confirming the replacement, the process will be done via Batch API.
- Users can also search for the details of the nodes associated with the entered
'Existing' Term ID.
- Users can generate and download a CSV file with all the details in the search
results of nodes.
- Users can choose to include 'Unpublished' nodes as well by checking the
'Include Unpublished Nodes' checkbox.

## Post-Installation

Upon installation of this module, navigate to '/admin/config/taxonomy-update
route', and fill out the form as required.

## Maintainers

Current maintainers:

- [Ishan Ghosh (ighosh)](https://www.drupal.org/u/ighosh)

Supporting organizations:

- [Innoraft](https://www.drupal.org/innoraft) Supported the module development
